## hubzero-mw-service 2.1.8-1+deb8

=== Makefile ===
# @package      hubzero-mw-service
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share
VARLOG=$(DESTDIR)/var/log

all:
	@true

install:
	install --mode 0755 -D maxwell_service $(USRBIN)/maxwell_service
	install --mode 0755 -D set_quotas $(USRBIN)/set_quotas
	install --mode 0755 -D mkvztemplate $(USRBIN)/mkvztemplate
	install --mode 0644 -D hub-session-4.0-i386.conf $(ETC)/vz/conf/hub-session-4.0-i386.conf
	install --mode 0755 -D hub-session-4.0-i386.mount $(ETC)/vz/conf/hub-session-4.0-i386.mount
	install --mode 0755 -D hub-session-4.0-i386.umount $(ETC)/vz/conf/hub-session-4.0-i386.umount
	install --mode 0644 -D hub-session-5.0-i386.conf $(ETC)/vz/conf/hub-session-5.0-i386.conf
	install --mode 0755 -D hub-session-5.0-i386.mount $(ETC)/vz/conf/hub-session-5.0-i386.mount
	install --mode 0755 -D hub-session-5.0-i386.umount $(ETC)/vz/conf/hub-session-5.0-i386.umount
	install --mode 0644 -D hub-session-6.0-i386.conf $(ETC)/vz/conf/hub-session-6.0-i386.conf
	install --mode 0755 -D hub-session-6.0-i386.mount $(ETC)/vz/conf/hub-session-6.0-i386.mount
	install --mode 0755 -D hub-session-6.0-i386.umount $(ETC)/vz/conf/hub-session-6.0-i386.umount
	install --mode 0644 -D hub-session-7.0-i386.conf $(ETC)/vz/conf/hub-session-7.0-i386.conf
	install --mode 0755 -D hub-session-7.0-i386.mount $(ETC)/vz/conf/hub-session-7.0-i386.mount
	install --mode 0755 -D hub-session-7.0-i386.umount $(ETC)/vz/conf/hub-session-7.0-i386.umount
	install --mode 0644 -D hub-session-8.0-i386.conf $(ETC)/vz/conf/hub-session-8.0-i386.conf
	install --mode 0755 -D hub-session-8.0-i386.mount $(ETC)/vz/conf/hub-session-8.0-i386.mount
	install --mode 0755 -D hub-session-8.0-i386.umount $(ETC)/vz/conf/hub-session-8.0-i386.umount
	install --mode 0644 -D hub-session-4.0-amd64.conf $(ETC)/vz/conf/hub-session-4.0-amd64.conf
	install --mode 0755 -D hub-session-4.0-amd64.mount $(ETC)/vz/conf/hub-session-4.0-amd64.mount
	install --mode 0755 -D hub-session-4.0-amd64.umount $(ETC)/vz/conf/hub-session-4.0-amd64.umount
	install --mode 0644 -D hub-session-5.0-amd64.conf $(ETC)/vz/conf/hub-session-5.0-amd64.conf
	install --mode 0755 -D hub-session-5.0-amd64.mount $(ETC)/vz/conf/hub-session-5.0-amd64.mount
	install --mode 0755 -D hub-session-5.0-amd64.umount $(ETC)/vz/conf/hub-session-5.0-amd64.umount
	install --mode 0644 -D hub-session-6.0-amd64.conf $(ETC)/vz/conf/hub-session-6.0-amd64.conf
	install --mode 0755 -D hub-session-6.0-amd64.mount $(ETC)/vz/conf/hub-session-6.0-amd64.mount
	install --mode 0755 -D hub-session-6.0-amd64.umount $(ETC)/vz/conf/hub-session-6.0-amd64.umount
	install --mode 0644 -D hub-session-7.0-amd64.conf $(ETC)/vz/conf/hub-session-7.0-amd64.conf
	install --mode 0755 -D hub-session-7.0-amd64.mount $(ETC)/vz/conf/hub-session-7.0-amd64.mount
	install --mode 0755 -D hub-session-7.0-amd64.umount $(ETC)/vz/conf/hub-session-7.0-amd64.umount
	install --mode 0644 -D hub-session-8.0-amd64.conf $(ETC)/vz/conf/hub-session-8.0-amd64.conf
	install --mode 0755 -D hub-session-8.0-amd64.mount $(ETC)/vz/conf/hub-session-8.0-amd64.mount
	install --mode 0755 -D hub-session-8.0-amd64.umount $(ETC)/vz/conf/hub-session-8.0-amd64.umount
	install --mode 0755 -d $(ETC)/mw-service
	install --mode 0750 -d $(VARLOG)/mw-service
	install --mode 0750 -d $(VARLOG)/mw-service/open-sessions
	install --mode 0644 -D quota.conf $(USRSHARE)/hubzero-mw-service/quota.conf

uninstall:
	@true

postinst:
	chown root:adm /var/log/mw-service
	chown root:adm /var/log/mw-service/open-sessions
	if [ ! -f /etc/mw-service/quota.conf ]; then cp -p /usr/share/hubzero-mw-service/quota.conf /etc/mw-service; fi
	if [ -f /etc/mw-client/notify.key -a ! -f /etc/mw-service/notify.key ]; then cp /etc/mw-client/notify.key /etc/mw-service/notify.key; fi
	if [ -f /etc/mw-service/notify.key ]; then chown root:root /etc/mw-service/notify.key; chmod 0400 /etc/mw-service/notify.key; fi	
	sh ./make_xvnc_cert.sh

clean:
	@true

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-mw-service (2.1.8-1+deb8) unstable; urgency=low

  * fix debian build versioning

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 14:13:06 -0400

=== debian/control ===
Source: hubzero-mw-service
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-mw-service
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, ucf, time, ssh, quota, debootstrap, vzctl, socat, stunnel4
Recommends: fail2ban
Description: HUBzero middleware service
 HUBzero middleware service to manage OpenVZ application sessions on 
 HUBzero execution hosts.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mw-service
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw-service install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i -X /var/log/mw-servce -X /usr/share/hubzero-mw-service/quota.conf -X /etc/vz/conf
	chown root:adm $(CURDIR)/debian/hubzero-mw-service/var/log/mw-service
	chown root:adm $(CURDIR)/debian/hubzero-mw-service/var/log/mw-service/open-sessions
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install
